/*
 Copyright 2016-2023, InvenSense, Inc.  All rights reserved.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.

 */
/*! \file ultrasound_display_config_info.h */
#ifndef ULTRASOUND_DISPLAY_CONFIG_INFO_H
#define ULTRASOUND_DISPLAY_CONFIG_INFO_H

#include <stdint.h>

#include <invn/soniclib/soniclib.h>

/*
 * Display the configuration values for a sensor
 *
 * This function displays the current configuration settings for an individual
 * sensor.  The operating mode, maximum range, and static target rejection
 * range (if used) are displayed.
 *
 * For CH201 sensors only, the multiple detection threshold values are also
 * displayed.
 */
uint8_t ultrasound_display_config_info(ch_dev_t *dev_ptr);

/*
 * For every board sensor print :
 * part number, fop, calibration results, bandwidth, fw version
 */
void ultrasound_display_connected_sensors_measures_info(ch_group_t *grp_ptr);

/*
 * Print for all connected sensors their OTP information
 */
void ultrasound_display_connected_sensors_otp_info(ch_group_t *grp_ptr);

#endif /* ULTRASOUND_DISPLAY_CONFIG_INFO_H */
